<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>eu.transkribus</groupId>
	<artifactId>TranskribusInterfaces</artifactId>
	<version>0.1.1</version>

	<properties>
		<!-- available since compiler plugin 3.6 and jdk 9 -->
		<!-- but only supports a limited number of older releases -->
		<maven.compiler.release>8</maven.compiler.release>
		<maven.compiler.testRelease>8</maven.compiler.testRelease>
	</properties>

	<repositories>
		<!-- redefine Maven central and get everything from our internal repo -->
		<repository>
			<id>central</id>
			<name>Central Repository via Artifactory</name>
			<url>https://artifactory.readcoop.eu/artifactory/maven-all</url>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
			<releases>
				<enabled>true</enabled>
			</releases>
		</repository>
	</repositories>

	<pluginRepositories>
		<!-- re-defining Maven central to use our internal artifactory as a proxy -->
		<pluginRepository>
			<id>central</id>
			<name>Central Repository via Artifactory</name>
			<url>https://artifactory.readcoop.eu/artifactory/maven-all</url>
			<snapshots>
				<enabled>false</enabled> <!-- do not build using unreleased plugins -->
			</snapshots>
			<releases>
				<enabled>true</enabled>
			</releases>
		</pluginRepository>
	</pluginRepositories>

	<distributionManagement>
		<repository>
			<id>transkribus-releases</id>
			<url>https://artifactory.readcoop.eu/artifactory/transkribus-releases</url>
		</repository>
		<snapshotRepository>
			<id>transkribus-snapshots</id>
			<url>https://artifactory.readcoop.eu/artifactory/transkribus-snapshots</url>
		</snapshotRepository>
	</distributionManagement>

	<dependencies>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.11</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.mockito</groupId>
			<artifactId>mockito-core</artifactId>
			<version>3.6.28</version>
			<scope>test</scope>
		</dependency>
		
		<dependency>
			<groupId>opencv</groupId>
			<artifactId>opencv</artifactId>
			<version>310</version>
		</dependency>
		
		<!-- FOR LOGGING:  -->
		
		<!-- slf4j api already is pulled by logback below. -->
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>1.7.32</version>
		</dependency>	
		
		<!--  redirect all log4j stuff to slf4j -->
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>log4j-over-slf4j</artifactId>
			<version>1.7.32</version>
			<scope>provided</scope>
		</dependency>
	
		<!-- Logback logging via sl4j: -->
		<dependency>
			<groupId>ch.qos.logback</groupId>
			<artifactId>logback-classic</artifactId>
			<version>1.2.8</version>
			<scope>provided</scope>
		</dependency>
	
		<!-- Additional ImageIO reader plugins -->
		<dependency>
	        <groupId>com.twelvemonkeys.imageio</groupId>
	        <artifactId>imageio-jpeg</artifactId>
	        <version>3.8.0</version> 
	    </dependency>
	    
	    <dependency>
	        <groupId>com.twelvemonkeys.imageio</groupId>
	        <artifactId>imageio-tiff</artifactId>
	        <version>3.8.0</version>
	    </dependency>
	    
	    <dependency>
			<groupId>org.apache.pdfbox</groupId>
		    <artifactId>jbig2-imageio</artifactId>
			<version>3.0.3</version>
		</dependency>
	    
	    <!-- metadata-extractor is used for reading the exif orientation from image files -->
	    <dependency>
			<groupId>com.drewnoakes</groupId>
			<artifactId>metadata-extractor</artifactId>
			<version>2.16.0</version>
		</dependency>
        
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-javadoc-plugin</artifactId>
				<version>2.10.3</version>
				<configuration>
					<additionalparam>-Xdoclint:none</additionalparam>
					<show>private</show>
					<nohelp>true</nohelp>
 					<!--<failOnError>false</failOnError>-->				 
				</configuration>
			</plugin>	
		</plugins>
		<pluginManagement>
			<plugins>
				<plugin>
					<artifactId>maven-compiler-plugin</artifactId>
					<version>3.10.1</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-site-plugin</artifactId>
					<version>3.5.1</version>
					<dependencies>
						<dependency><!-- add support for ssh/scp -->
							<groupId>org.apache.maven.wagon</groupId>
							<artifactId>wagon-ssh</artifactId>
							<version>1.0</version>
						</dependency>
					</dependencies>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>
	<reporting>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-javadoc-plugin</artifactId>
				<version>2.10.3</version>
				<configuration>
					<show>public</show>
					<additionalparam>-Xdoclint:none</additionalparam>
				</configuration>
			</plugin>
		</plugins>
	</reporting>
</project>
